{% extends 'base.html' %}

{% block title %}
    {{object.first_name}}
    {{object.last_name}}
{% endblock %}

{% block main %}
    <h1>{{ object }}</h1>
    <h2>Actor</h2>
    <ul>
        {% for role in object.role_set.all() %}
            <li>
                <a href="{% url 'core:MovieDetail' role.movie.id %}">
                    {{ role.movie }}
                </a>
                {{ role.name }}
            </li>
        {% endfor %}
    </ul>

    <h2>Writer</h2>
    <ul>
        {% for role in object.writing_credits.all() %}
            <li>
                <a href="{% url 'core:MovieDetail' role.movie.id %}">
                    {{ role.movie }}
                </a>
                {{ role.name }}
            </li>
        {% endfor %}
    </ul>

    <h2>Director</h2>
    <ul>
        {% for role in object.directed.all() %}
            <li>
                <a href="{% url 'core:MovieDetail' role.movie.id %}">
                    {{ role.movie }}
                </a>
                {{ role.name }}
            </li>
        {% endfor %}
    </ul>
{% endblock main %}